Subject: ANNOUNCE: Sony CDU-535 CDROM device driver, 2nd release
From: [email-masked] (Jeppesen, Ronald)
Date: Mon, 28 Jun 93 17:09:35 GMT
Newsgroups: comp.os.linux.announce

I have uploaded the second release of the Sony CDU-535 driver 
(sony535-0.2.tar.gz) to the Incoming directory on sunsite.unc.edu.  It 
will probably be moved to the /pub/Linux/kernel/cdrom directory.  One
user reported that the driver also works on a drive OEMed by Procomm.
Part of the README file is included below:

              README FOR LINUX SONY CDU-535/531 DRIVER
              ========================================

This is the second release of the Sony CDU-535 (and 531) driver for
Linux.  There are no major new features or bug fixes in this release.
It just brings the patches up to a more recent kernel (0.99p10 or 0.99p9) 

and allows the driver to coexist with the Sony CDU-31A driver from which 
it
was derived.  I do not think I will have the time to add new features
like DMA support so if anyone else wants to pursue it, please do.

IMPORTANT: If you are using the first release of this driver, note that
           the device number has changed from 15 to 21, you will have 
           to recreate your devices!

This package contains a linux device driver for the Sony CDU-535
CDROM drive.  This is one of the older Sony drives with its own interface
card (Sony bus).  The DOS driver for this drive is named SONY_CDU.SYS -
when you boot DOS your drive should be identified as a SONY CDU-535.  The
driver probably works with a CDU-531 also since I used that drive's
documentation to write the driver -- Sony said they were very similar. 
One user reported that the driver worked on drives OEM'ed by Procomm, 
drive and interface board were labelled Procomm.

The linux driver is based on Corey Minyard's sonycd 0.3 driver for the
CDU-31A.  I just changed the commands that were sent to the drive to
correspond to the CDU-535 commands and registers.  There were enough
changes to let bugs creep in but it seems to be stable.  I was able to
tar an entire CDROM (should read all blocks) and built ghostview and
xfig off Walnut Creek's X11R5/GNU CDROM.  xcdplayer and workman work
with the driver.  Others have used the driver without problems except
those dealing with wait loops (fixed in this release).  Like Minyard's
original driver this one uses a polled interface (this is also the
default setup for the DOS driver).  I have not tried it with interrupts
or DMA enabled on the board.

REQUIREMENTS
============

     - Sony CDU-535 drive, preferably without interrupts and DMA 
       enabled on the card.

     - Drive must be set up as unit 1.  Only the first unit will be 
       recognized

     - linux kernel source and gcc compiler

Ron Jeppesen
[email-masked]

--
Send submissions for comp.os.linux.announce to: [email-masked]